Bullet Collision Detection & Physics Library: Bullet::btGeneric6DofSpring2ConstraintData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btGeneric6DofSpring2ConstraintData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btGeneric6DofSpring2ConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
btVector3FloatData | m_linearUpperLimit
btVector3FloatData | m_linearLowerLimit
btVector3FloatData | m_linearBounce
btVector3FloatData | m_linearStopERP
btVector3FloatData | m_linearStopCFM
btVector3FloatData | m_linearMotorERP
btVector3FloatData | m_linearMotorCFM
btVector3FloatData | m_linearTargetVelocity
btVector3FloatData | m_linearMaxMotorForce
btVector3FloatData | m_linearServoTarget
btVector3FloatData | m_linearSpringStiffness
btVector3FloatData | m_linearSpringDamping
btVector3FloatData | m_linearEquilibriumPoint
char | m_linearEnableMotor [4]
char | m_linearServoMotor [4]
char | m_linearEnableSpring [4]
char | m_linearSpringStiffnessLimited [4]
char | m_linearSpringDampingLimited [4]
char | m_padding1 [4]
btVector3FloatData | m_angularUpperLimit
btVector3FloatData | m_angularLowerLimit
btVector3FloatData | m_angularBounce
btVector3FloatData | m_angularStopERP
btVector3FloatData | m_angularStopCFM
btVector3FloatData | m_angularMotorERP
btVector3FloatData | m_angularMotorCFM
btVector3FloatData | m_angularTargetVelocity
btVector3FloatData | m_angularMaxMotorForce
btVector3FloatData | m_angularServoTarget
btVector3FloatData | m_angularSpringStiffness
btVector3FloatData | m_angularSpringDamping
btVector3FloatData | m_angularEquilibriumPoint
char | m_angularEnableMotor [4]
char | m_angularServoMotor [4]
char | m_angularEnableSpring [4]
char | m_angularSpringStiffnessLimited [4]
char | m_angularSpringDampingLimited [4]
int | m_rotateOrder

## Detailed Description

Definition at line 1094 of file bullet.h.

## Member Data Documentation

## ◆ m_angularBounce

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularBounce

Definition at line 1121 of file bullet.h.

## ◆ m_angularEnableMotor

char Bullet::btGeneric6DofSpring2ConstraintData::m_angularEnableMotor[4]

Definition at line 1132 of file bullet.h.

## ◆ m_angularEnableSpring

char Bullet::btGeneric6DofSpring2ConstraintData::m_angularEnableSpring[4]

Definition at line 1134 of file bullet.h.

## ◆ m_angularEquilibriumPoint

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularEquilibriumPoint

Definition at line 1131 of file bullet.h.

## ◆ m_angularLowerLimit

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularLowerLimit

Definition at line 1120 of file bullet.h.

## ◆ m_angularMaxMotorForce

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularMaxMotorForce

Definition at line 1127 of file bullet.h.

## ◆ m_angularMotorCFM

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularMotorCFM

Definition at line 1125 of file bullet.h.

## ◆ m_angularMotorERP

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularMotorERP

Definition at line 1124 of file bullet.h.

## ◆ m_angularServoMotor

char Bullet::btGeneric6DofSpring2ConstraintData::m_angularServoMotor[4]

Definition at line 1133 of file bullet.h.

## ◆ m_angularServoTarget

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularServoTarget

Definition at line 1128 of file bullet.h.

## ◆ m_angularSpringDamping

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularSpringDamping

Definition at line 1130 of file bullet.h.

## ◆ m_angularSpringDampingLimited

char Bullet::btGeneric6DofSpring2ConstraintData::m_angularSpringDampingLimited[4]

Definition at line 1136 of file bullet.h.

## ◆ m_angularSpringStiffness

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularSpringStiffness

Definition at line 1129 of file bullet.h.

## ◆ m_angularSpringStiffnessLimited

char Bullet::btGeneric6DofSpring2ConstraintData::m_angularSpringStiffnessLimited[4]

Definition at line 1135 of file bullet.h.

## ◆ m_angularStopCFM

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularStopCFM

Definition at line 1123 of file bullet.h.

## ◆ m_angularStopERP

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularStopERP

Definition at line 1122 of file bullet.h.

## ◆ m_angularTargetVelocity

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularTargetVelocity

Definition at line 1126 of file bullet.h.

## ◆ m_angularUpperLimit

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_angularUpperLimit

Definition at line 1119 of file bullet.h.

## ◆ m_linearBounce

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearBounce

Definition at line 1102 of file bullet.h.

## ◆ m_linearEnableMotor

char Bullet::btGeneric6DofSpring2ConstraintData::m_linearEnableMotor[4]

Definition at line 1113 of file bullet.h.

## ◆ m_linearEnableSpring

char Bullet::btGeneric6DofSpring2ConstraintData::m_linearEnableSpring[4]

Definition at line 1115 of file bullet.h.

## ◆ m_linearEquilibriumPoint

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearEquilibriumPoint

Definition at line 1112 of file bullet.h.

## ◆ m_linearLowerLimit

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearLowerLimit

Definition at line 1101 of file bullet.h.

## ◆ m_linearMaxMotorForce

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearMaxMotorForce

Definition at line 1108 of file bullet.h.

## ◆ m_linearMotorCFM

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearMotorCFM

Definition at line 1106 of file bullet.h.

## ◆ m_linearMotorERP

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearMotorERP

Definition at line 1105 of file bullet.h.

## ◆ m_linearServoMotor

char Bullet::btGeneric6DofSpring2ConstraintData::m_linearServoMotor[4]

Definition at line 1114 of file bullet.h.

## ◆ m_linearServoTarget

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearServoTarget

Definition at line 1109 of file bullet.h.

## ◆ m_linearSpringDamping

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearSpringDamping

Definition at line 1111 of file bullet.h.

## ◆ m_linearSpringDampingLimited

char Bullet::btGeneric6DofSpring2ConstraintData::m_linearSpringDampingLimited[4]

Definition at line 1117 of file bullet.h.

## ◆ m_linearSpringStiffness

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearSpringStiffness

Definition at line 1110 of file bullet.h.

## ◆ m_linearSpringStiffnessLimited

char Bullet::btGeneric6DofSpring2ConstraintData::m_linearSpringStiffnessLimited[4]

Definition at line 1116 of file bullet.h.

## ◆ m_linearStopCFM

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearStopCFM

Definition at line 1104 of file bullet.h.

## ◆ m_linearStopERP

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearStopERP

Definition at line 1103 of file bullet.h.

## ◆ m_linearTargetVelocity

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearTargetVelocity

Definition at line 1107 of file bullet.h.

## ◆ m_linearUpperLimit

btVector3FloatData Bullet::btGeneric6DofSpring2ConstraintData::m_linearUpperLimit

Definition at line 1100 of file bullet.h.

## ◆ m_padding1

char Bullet::btGeneric6DofSpring2ConstraintData::m_padding1[4]

Definition at line 1118 of file bullet.h.

## ◆ m_rbAFrame

btTransformFloatData Bullet::btGeneric6DofSpring2ConstraintData::m_rbAFrame

Definition at line 1098 of file bullet.h.

## ◆ m_rbBFrame

btTransformFloatData Bullet::btGeneric6DofSpring2ConstraintData::m_rbBFrame

Definition at line 1099 of file bullet.h.

## ◆ m_rotateOrder

int Bullet::btGeneric6DofSpring2ConstraintData::m_rotateOrder

Definition at line 1137 of file bullet.h.

## ◆ m_typeConstraintData

btTypedConstraintData Bullet::btGeneric6DofSpring2ConstraintData::m_typeConstraintData

Definition at line 1097 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h